/**Begin D:\PDM_UPGRADE\PDM1\SCA_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDEX_WQCOLENTRY_COSTOBJ') CREATE INDEX IDEX_WQCOLENTRY_COSTOBJ ON T_SCA_WORKQTYCOLLECENTRY ( FCOSTOBJECTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REUSEENTRY_COSTOBJ') CREATE INDEX IDX_REUSEENTRY_COSTOBJ ON T_SCA_RESOURCEUSEENTRY ( FCOSTOBJECTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WORKQTYCOL_COSTC') CREATE INDEX IDX_WORKQTYCOL_COSTC ON T_SCA_WORKQTYCOLLEC ( FCOSTCENTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WORKQTYCOL_WORKA') CREATE INDEX IDX_WORKQTYCOL_WORKA ON T_SCA_WORKQTYCOLLEC ( FWORKACTIVITYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RESOURCEUSE_COSTC') CREATE INDEX IDX_RESOURCEUSE_COSTC ON T_SCA_RESOURCEUSE ( FCOSTCENTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RESOURCEUSE_REID') CREATE INDEX IDX_RESOURCEUSE_REID ON T_SCA_RESOURCEUSE ( FRESOURCEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MATUSE_BILLNO') CREATE INDEX IDX_MATUSE_BILLNO ON T_SCA_MATUSECOLLECT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MATUSE_COSTC') CREATE INDEX IDX_MATUSE_COSTC ON T_SCA_MATUSECOLLECT ( FCOSTCENTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MATUSE_SRCID') CREATE INDEX IDX_MATUSE_SRCID ON T_SCA_MATUSECOLLECT ( FSOURCEBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MATALLOC_MAT') CREATE INDEX IDX_MATALLOC_MAT ON T_SCA_MATALLOC ( FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MATALLOC_BOOKDATE') CREATE INDEX IDX_MATALLOC_BOOKDATE ON T_SCA_MATALLOC ( FBOOKDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SWIPCOSTI_COSTOBJ') CREATE INDEX IDX_SWIPCOSTI_COSTOBJ ON T_SCA_WIPCOSTINIT ( FCOSTOBJECTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MATUSEENTRY_COOBB') CREATE INDEX IDX_MATUSEENTRY_COOBB ON T_SCA_MATUSECOLLECTENTRY ( FCOSTOBJECTID );


/**End D:\PDM_UPGRADE\PDM1\SCA_constraint.sql **/
