IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_UNABSORBENTRY')
CREATE TABLE T_SCA_UNABSORBENTRY
(
    FID           BIGINT          DEFAULT 0   NOT NULL,
    FENTRYID      BIGINT          DEFAULT 0   NOT NULL,
    FSEQ          BIGINT          DEFAULT 0   NOT NULL,
    FELEMENTID    BIGINT          DEFAULT 0   NOT NULL,
    FSUBELEMENTID BIGINT          DEFAULT 0   NOT NULL,
    FPDSTARTQTY   DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FPDSTARTAMT   DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FPDCURRQTY    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FPDCURRAMT    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FPDENDQTY     DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FPDENDAMT     DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FPDDIFFQTY    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FPDDIFFAMT    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FTOTALDIFFQTY DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FTOTALDIFFAMT DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FSOURCEINFO   NVARCHAR(2000)  DEFAULT ' ' NOT NULL,
    FTYPE         VARCHAR(30)     DEFAULT ' ' NOT NULL
);
