﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_ENTITYDETAIL') 
 CREATE TABLE T_SCA_ENTITYDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FDETAILVALEN DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_EQUIVALENT') 
 CREATE TABLE T_SCA_EQUIVALENT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FMANUORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_EQUIVALENTENTRY') 
 CREATE TABLE T_SCA_EQUIVALENTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FTOTALVALEN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTY BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_PROALLOCSTD') 
 CREATE TABLE T_SCA_PROALLOCSTD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FEFFECTDATE DATETIME,
FEXPDATE DATETIME,
FAPPNUM VARCHAR(10) DEFAULT ' ' NOT NULL,
FEFFECTSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_PROALLOCSTDENTRY') 
 CREATE TABLE T_SCA_PROALLOCSTDENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCOSTDRIVER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_PROALLOCSTDSUBENTRY') 
 CREATE TABLE T_SCA_PROALLOCSTDSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FCOSTDRIVERDETAIL VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
