/** 差异分配单增加业务类型，凭证字号，结算状态，所属成本对象id **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PURCHDIFFALLOC' AND KSQL_COL_NAME ='FBIZTYPE')
ALTER TABLE T_SCA_PURCHDIFFALLOC ADD (FBIZTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PURCHDIFFALLOC' AND KSQL_COL_NAME ='FCOSTOBJBIZSTATUS')
ALTER TABLE T_SCA_PURCHDIFFALLOC ADD (FCOSTOBJBIZSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PURCHDIFFALLOC' AND KSQL_COL_NAME ='FBECOSTOBJECTID')
ALTER TABLE T_SCA_PURCHDIFFALLOC ADD (FBECOSTOBJECTID BIGINT DEFAULT 0 NOT NULL );

/** 差异分摊计算结果单-分录增加 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_COMDIFFRESULTENTRY' AND KSQL_COL_NAME ='FTYPE1')
ALTER TABLE T_SCA_COMDIFFRESULTENTRY ADD (FTYPE1 NVARCHAR(30) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_COMDIFFRESULTENTRY' AND KSQL_COL_NAME ='FRELACOSTOBJECTID1')
ALTER TABLE T_SCA_COMDIFFRESULTENTRY ADD (FRELACOSTOBJECTID1 BIGINT DEFAULT 0 NOT NULL );

/** 在制品分配标准-增加差异分摊分配标准 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PROALLOCSTDENTRY' AND KSQL_COL_NAME ='FDIFFCALCCOSTDRIVER')
ALTER TABLE T_SCA_PROALLOCSTDENTRY ADD (FDIFFCALCCOSTDRIVER NVARCHAR(30) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PROALLOCSTDSUBENTRY' AND KSQL_COL_NAME ='FDIFFCALCCDRIVERDETAIL')
ALTER TABLE T_SCA_PROALLOCSTDSUBENTRY ADD (FDIFFCALCCDRIVERDETAIL NVARCHAR(30) DEFAULT ' ' NOT NULL );

/** 约当系数-增加差异分摊约当系数 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_EQUIVALENTENTRY' AND KSQL_COL_NAME ='FDIFFCALCTOTALVALEN')
ALTER TABLE T_SCA_EQUIVALENTENTRY ADD (FDIFFCALCTOTALVALEN DECIMAL(23, 10) DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_ENTITYDETAIL' AND KSQL_COL_NAME ='FDIFFCALCDETAILVALEN')
ALTER TABLE T_SCA_ENTITYDETAIL ADD (FDIFFCALCDETAILVALEN DECIMAL(23, 10) DEFAULT 0 NOT NULL );
