/*差异分摊-下阶差异*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY')
CREATE TABLE T_SCA_SUBDIFFRESULTENTRY
(
    FID           BIGINT          DEFAULT 0   NOT NULL,
    FENTRYID      BIGINT          DEFAULT 0   NOT NULL,
	FSEQ      		BIGINT          DEFAULT 0   NOT NULL,
	FRELACOSTOBJECTID2      BIGINT          DEFAULT 0   NOT NULL,
	FMATERIALID2      BIGINT          DEFAULT 0   NOT NULL,
	FAUXPTYID2      BIGINT          DEFAULT 0   NOT NULL,
	FMATVERSIONID2      BIGINT          DEFAULT 0   NOT NULL,
	FELEMENTID2      BIGINT          DEFAULT 0   NOT NULL,
	FSUBELEMENTID2      BIGINT          DEFAULT 0   NOT NULL,
	FBASEUNITID2      BIGINT          DEFAULT 0   NOT NULL,	
    FSTARTDIFFQTY2   DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FSTARTMADEDIFF2   DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FSTARTMADEUPAMT2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FSTARTUNJOINDIFFAMT2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FSTARTSTDCOSTUPAMT2     DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FSTARTORDDIFF2     DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FSTARTINVOICEDIFF2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FSTARTFEEDIFF2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FSTARTOTHERDIFF2 DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FSTARTFALLDIFF2 DECIMAL(23, 10) DEFAULT 0   NOT NULL,	
	FCURRQTY2   DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCURRSTDCOST2   DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCURRAMT2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCURRDIFFQTY2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCURRMADEDIFF2     DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCURRMADEUPAMT2     DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCURRUNJOINDIFFAMT2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCURRSTDCOSTUPAMT2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCURRORDDIFF2 DECIMAL(23, 10) DEFAULT 0   NOT NULL,
	FCURRINVOICEDIFF2 DECIMAL(23, 10) DEFAULT 0   NOT NULL,
	FCURRFEEDIFF2 DECIMAL(23, 10) DEFAULT 0   NOT NULL,
	FCURROTHERDIFF2 DECIMAL(23, 10) DEFAULT 0   NOT NULL,
	FCURRFALLDIFF2 DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCURRACTCOSTUPAMT2 DECIMAL(23, 10) DEFAULT 0   NOT NULL,
	FCOMPDIFFQTY2   DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCOMPMADEUPAMT2   DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCOMPUNJOINDIFFAMT2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCOMPSTDCOSTUPAMT2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCOMPORDDIFF2     DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCOMPINVOICEDIFF2     DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCOMPFEEDIFF2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCOMPOTHERDIFF2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCOMPMADEDIFF2 DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCOMPFALLDIFF2 DECIMAL(23, 10) DEFAULT 0   NOT NULL,
	FENDDIFFQTY2   DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FENDMADEDIFF2   DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FENDMADEUPAMT2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FENDUNJOINDIFFAMT2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FENDSTDCOSTUPAMT2     DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FENDORDDIFF2     DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FENDINVOICEDIFF2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FENDFEEDIFF2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FENDOTHERDIFF2 DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FENDFALLDIFF2 DECIMAL(23, 10) DEFAULT 0   NOT NULL,
	FTOTALDIFFQTY2   DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FTOTALMADEDIFF2   DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FTOTALMADEUPAMT2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FTOTALUNJOINDIFFAMT2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FTOTALSTDCOSTUPAMT2     DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FTOTALORDDIFF2     DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FTOTALINVOICEDIFF2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FTOTALFEEDIFF2    DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FTOTALOTHERDIFF2 DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FTOTALFALLDIFF2 DECIMAL(23, 10) DEFAULT 0   NOT NULL
);

	
    
    
