/**差异分配单 增加维度字段和卷算维度数据**/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PURCHDIFFALLOC' AND KSQL_COL_NAME ='FKEYCOLID')
ALTER TABLE T_SCA_PURCHDIFFALLOC ADD (FKEYCOLID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PURCHDIFFALLOC' AND KSQL_COL_NAME ='FKEYCOL')
ALTER TABLE T_SCA_PURCHDIFFALLOC ADD (FKEYCOL NVARCHAR(200) DEFAULT ' ' NOT NULL );

/**材料耗用归集 单据体增加keycol索引**/
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_PURCHDIFFALLOC_FKEYCOL') CREATE INDEX IDX_SCA_PURCHDIFFALLOC_FKEYCOL ON T_SCA_PURCHDIFFALLOC ( FKEYCOL );

/**差异分摊-计算结果单综合 增加维度字段和卷算维度数据**/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_COMDIFFRESULTENTRY' AND KSQL_COL_NAME ='FKEYCOL1ID')
ALTER TABLE T_SCA_COMDIFFRESULTENTRY ADD (FKEYCOL1ID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_COMDIFFRESULTENTRY' AND KSQL_COL_NAME ='FKEYCOL1')
ALTER TABLE T_SCA_COMDIFFRESULTENTRY ADD (FKEYCOL1 NVARCHAR(200) DEFAULT ' ' NOT NULL );

/**差异分摊-计算结果单下阶差异 增加维度字段和卷算维度数据**/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME ='FKEYCOL2ID')
ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FKEYCOL2ID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME ='FKEYCOL2')
ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FKEYCOL2 NVARCHAR(200) DEFAULT ' ' NOT NULL );