/*计划成本计算日志表 增加索引*/
EXEC P_ALTERPK 'PK_T_SCA_PLANCOSTCALCLOG', 'T_SCA_PLANCOSTCALCLOG', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PLANCOSTCALCLOG_SYNCDATE') CREATE INDEX IDX_PLANCOSTCALCLOG_SYNCDATE ON T_SCA_PLANCOSTCALCLOG (FSYNCDATE);

EXEC P_ALTERPK 'PK_T_SCA_PLANCOSTCALCRESULT', 'T_SCA_PLANCOSTCALCRESULT', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PLANCOSTORDERNUM') CREATE INDEX IDX_PLANCOSTORDERNUM ON T_SCA_PLANCOSTCALCRESULT ( FORDERNO );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PLANCOSTORDERSEQ') CREATE INDEX IDX_PLANCOSTORDERSEQ ON T_SCA_PLANCOSTCALCRESULT ( FORDERENTRYSEQ );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PLANCOSTENTRYID') CREATE INDEX IDX_PLANCOSTENTRYID ON T_SCA_PLANCOSTCALCRESULT ( FORDERENTRYID );

EXEC P_ALTERPK 'PK_T_SCA_PLANRESULTENTRY', 'T_SCA_PLANRESULTENTRY', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SCA_PLANRESULTENTRY') CREATE INDEX IDX_T_SCA_PLANRESULTENTRY ON T_SCA_PLANRESULTENTRY (FID);