/*增加维度字段*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FCONFIGUREDCODEID2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FCONFIGUREDCODEID2 BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FTRACKNUMBERID2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FTRACKNUMBERID2 BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FPROJECTID2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FPROJECTID2 BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FLOT2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FLOT2 VARCHAR(80) DEFAULT ' ' NOT NULL );
 
/*增加行类型字段*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FTYPE2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FTYPE2 VARCHAR(30) DEFAULT ' ' NOT NULL );

/*增加期初数量和金额*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FSTARTQTY2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FSTARTQTY2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FSTARTSTDCOST2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FSTARTSTDCOST2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FSTARTAMT2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FSTARTAMT2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FSTARTACTCOSTUPAMT2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FSTARTACTCOSTUPAMT2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);

/*增加完工数量和金额*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FCOMPQTY2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FCOMPQTY2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FCOMPSTDCOST2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FCOMPSTDCOST2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FCOMPAMT2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FCOMPAMT2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FCOMPACTCOSTUPAMT2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FCOMPACTCOSTUPAMT2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);

/*增加期末数量和金额*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FENDQTY2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FENDQTY2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FENDSTDCOST2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FENDSTDCOST2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FENDAMT2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FENDAMT2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FENDACTCOSTUPAMT2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FENDACTCOSTUPAMT2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);
 
/*增加累计数量和金额*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FTOTALQTY2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FTOTALQTY2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FTOTALSTDCOST2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FTOTALSTDCOST2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FTOTALAMT2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FTOTALAMT2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_SUBDIFFRESULTENTRY' AND KSQL_COL_NAME IN ('FTOTALACTCOSTUPAMT2')) 
 ALTER TABLE T_SCA_SUBDIFFRESULTENTRY ADD (FTOTALACTCOSTUPAMT2 DECIMAL(23, 10) DEFAULT 0   NOT NULL);
