IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PLANRESULTENTRY' AND KSQL_COL_NAME ='FCALTYPE')
ALTER TABLE T_SCA_PLANRESULTENTRY ADD (FCALTYPE NVARCHAR(10) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PLANRESULTENTRY' AND KSQL_COL_NAME ='FPRICE')
ALTER TABLE T_SCA_PLANRESULTENTRY ADD (FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PLANCOSTCALCRESULT' AND KSQL_COL_NAME IN ('FCONFIGUREDCODEID'))
ALTER TABLE T_SCA_PLANCOSTCALCRESULT ADD (FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PLANCOSTCALCRESULT' AND KSQL_COL_NAME IN ('FTRACKNUMBERID'))
ALTER TABLE T_SCA_PLANCOSTCALCRESULT ADD (FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PLANCOSTCALCRESULT' AND KSQL_COL_NAME ='FKEYCOL')
ALTER TABLE T_SCA_PLANCOSTCALCRESULT ADD (FKEYCOL NVARCHAR(200) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PLANCOSTCALCRESULT' AND KSQL_COL_NAME ='FKEYCOLID')
ALTER TABLE T_SCA_PLANCOSTCALCRESULT ADD (FKEYCOLID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PLANCOSTCALCRESULT' AND KSQL_COL_NAME ='FPLANQTY')
ALTER TABLE T_SCA_PLANCOSTCALCRESULT ADD (FPLANQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SCA_PLANCOSTCALCRESULT_FKEYCOL') CREATE INDEX IDX_T_SCA_PLANCOSTCALCRESULT_FKEYCOL ON T_SCA_PLANCOSTCALCRESULT ( FKEYCOL );



