﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_TOTALMFGFEE') 
 CREATE TABLE T_SCA_TOTALMFGFEE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_TOTALMFGFEEENTRY') 
 CREATE TABLE T_SCA_TOTALMFGFEEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FTOTALPRODUCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_UNABSORBDIFF') 
 CREATE TABLE T_SCA_UNABSORBDIFF (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FDIFFTYPE VARCHAR(30) DEFAULT '0' NOT NULL,
FDIFFTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVOUCHERNUM NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCARRYNUMID NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_UNABSORBDIFFENTRY') 
 CREATE TABLE T_SCA_UNABSORBDIFFENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_USERFINISHOFFSET') 
 CREATE TABLE T_SCA_USERFINISHOFFSET (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FDIFFTYPE VARCHAR(30) DEFAULT '1' NOT NULL,
FLEFTOFFSET DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRIGHTOFFSET DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOFFSETRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEEALLOC' AND KSQL_COL_NAME ='FCREATORID') 
 ALTER TABLE T_SCA_MFGFEEALLOC ADD (FCREATORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEEALLOC' AND KSQL_COL_NAME ='FCREATETIME') 
 ALTER TABLE T_SCA_MFGFEEALLOC ADD (FCREATETIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEEALLOC' AND KSQL_COL_NAME ='FBASEUNITID') 
 ALTER TABLE T_SCA_MFGFEEALLOC ADD (FBASEUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_CALCRESULTENTRY' AND KSQL_COL_NAME ='FDIFFTYPE') 
 ALTER TABLE T_SCA_CALCRESULTENTRY ADD (FDIFFTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_CALCRESULTENTRY' AND KSQL_COL_NAME ='FCOSTUPDATEDIFFAMT') 
 ALTER TABLE T_SCA_CALCRESULTENTRY ADD (FCOSTUPDATEDIFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_CALCRESULTENTRY' AND KSQL_COL_NAME ='FDIFFQTY') 
 ALTER TABLE T_SCA_CALCRESULTENTRY ADD (FDIFFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_CALCRESULTENTRY' AND KSQL_COL_NAME ='FCOSTUPDATEDIFF') 
 ALTER TABLE T_SCA_CALCRESULTENTRY ADD (FCOSTUPDATEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CALCRPTCENTER') 
 CREATE TABLE T_SCA_CALCRPTCENTER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CALCRPTEXPENTRY') 
 CREATE TABLE T_SCA_CALCRPTEXPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FDIFFERENTMONEY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFFERENTRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CHECKDETAIL') 
 CREATE TABLE T_SCA_CHECKDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCALCDATE DATETIME,
FCHECKITEMDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CHECKDETAILCENTER') 
 CREATE TABLE T_SCA_CHECKDETAILCENTER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CHECKRESULT') 
 CREATE TABLE T_SCA_CHECKRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCHECKDATE DATETIME,
FTASKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CHECKRESULTCENTER') 
 CREATE TABLE T_SCA_CHECKRESULTCENTER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CHECKRESULTENTRY') 
 CREATE TABLE T_SCA_CHECKRESULTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FITEMID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESULT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FITEM NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_FINISHDIFFBILL') 
 CREATE TABLE T_SCA_FINISHDIFFBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FVOUCHER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FDIFFAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_FINISHDIFFBILLENTRY') 
 CREATE TABLE T_SCA_FINISHDIFFBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDIFFTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_PRODIFFBILL') 
 CREATE TABLE T_SCA_PRODIFFBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILL VARCHAR(30) DEFAULT ' ' NOT NULL,
FDIFFRULEID BIGINT DEFAULT 0 NOT NULL,
FVOUCHER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSTARTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURDIFFAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURCARRYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_PRODIFFBILLENTRY') 
 CREATE TABLE T_SCA_PRODIFFBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FENTRYSOURCEBILL NVARCHAR(60) DEFAULT ' ' NOT NULL,
FDIFFTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FENTRYSTARTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYCURDIFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYCURCARRYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYENDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FCARRYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_STARTSTDCOST') 
 CREATE TABLE T_SCA_STARTSTDCOST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_STARTSTDCOSTENTRY') 
 CREATE TABLE T_SCA_STARTSTDCOSTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTARTPERIODID BIGINT DEFAULT 0 NOT NULL,
FISENABLED CHAR(1) DEFAULT '0' NOT NULL,
FISINIT CHAR(1) DEFAULT '0' NOT NULL,
FCALPOLICYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_WORKQTYCOLLEC') 
 CREATE TABLE T_SCA_WORKQTYCOLLEC (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FWORKACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FCOSTDRIVERID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_TASKCONFIGENTRY' AND KSQL_COL_NAME ='FSUBSORT') 
 ALTER TABLE T_SCA_TASKCONFIGENTRY ADD (FSUBSORT BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CALCRPT') 
 CREATE TABLE T_SCA_CALCRPT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FTASKNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACCOUNTORG BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROGRESS BIGINT DEFAULT 0 NOT NULL,
FEXECUTOR BIGINT DEFAULT 0 NOT NULL,
FREPORTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FUSETIME BIGINT DEFAULT 0 NOT NULL,
FNEXTPAGEPARA NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FNEXTPAGEPARA_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CALCRPTDTENTRY') 
 CREATE TABLE T_SCA_CALCRPTDTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDETAILSTEP NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDTSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCNSMTIME BIGINT DEFAULT 0 NOT NULL,
FERRLOG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAILCONFIGID BIGINT DEFAULT 0 NOT NULL,
FSUBPARAM NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSUBPARAM_TAG NCLOB,
FSUBNEXTENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUBSTARTTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CHECKDETAILENTRY') 
 CREATE TABLE T_SCA_CHECKDETAILENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FENTRYCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCHECKDETAIL NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CHECKRESULTENTRY_L') 
 CREATE TABLE T_SCA_CHECKRESULTENTRY_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(20) DEFAULT ' ' NOT NULL,
FCHECKDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARAM NCLOB,
FRESULTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_WORKQTYCOLLEC_L') 
 CREATE TABLE T_SCA_WORKQTYCOLLEC_L (
FPKID VARCHAR(20) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(20) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_WORKQTYCOLLECENTRY') 
 CREATE TABLE T_SCA_WORKQTYCOLLECENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBENEFCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FENTRYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_DIFFRULE') 
 CREATE TABLE T_SCA_DIFFRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCARRYOVERBILL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDIFFRULE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_TASKRECORD') 
 CREATE TABLE T_SCA_TASKRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FTASKNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FTIME BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FEXECUTORID BIGINT DEFAULT 0 NOT NULL,
FPROGRESS BIGINT DEFAULT 0 NOT NULL,
FNEXTPAGEPARA NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FNEXTPAGEPARA_TAG NCLOB,
FNEXTPAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKCONFIGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_WIPCOSTINIT') 
 CREATE TABLE T_SCA_WIPCOSTINIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FINITAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALDIFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FINITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_WIPCOSTINIT_L') 
 CREATE TABLE T_SCA_WIPCOSTINIT_L (
FPKID VARCHAR(20) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_WIPCOSTINITENTRY') 
 CREATE TABLE T_SCA_WIPCOSTINITENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSTDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBMATID BIGINT DEFAULT 0 NOT NULL,
FSUBAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSUBBOMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FSTDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTDPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_COSTCONFIRM') 
 CREATE TABLE T_SCA_COSTCONFIRM (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FDIFFRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FABSORBAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBOMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILL BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_TASKRECORDENTRY') 
 CREATE TABLE T_SCA_TASKRECORDENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBSTARTTIME DATETIME,
FSUBTIME BIGINT DEFAULT 0 NOT NULL,
FSUBSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBPARAM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBPARAM_TAG NCLOB,
FSUBNEXTENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FDETAILCONFIGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_CALCRESULT' AND KSQL_COL_NAME ='FCREATETIME') 
 ALTER TABLE T_SCA_CALCRESULT ADD (FCREATETIME DATETIME );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
