﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MFGFEEIMPSCH') 
 CREATE TABLE T_SCA_MFGFEEIMPSCH (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSRCBIZSYSID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBOOKID BIGINT DEFAULT 0 NOT NULL,
FSRCBILL BIGINT DEFAULT 0 NOT NULL,
FACCOUNTVIEWID BIGINT DEFAULT 0 NOT NULL,
FASSGRP NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FISFROMGL CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MFGFEEIMPSCH_L') 
 CREATE TABLE T_SCA_MFGFEEIMPSCH_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MFGFEEIMPSCHENTRY') 
 CREATE TABLE T_SCA_MFGFEEIMPSCHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FCOSTCENTERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FEXPENSEITEMTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT VARCHAR(200) DEFAULT ' ' NOT NULL,
FBENEFCOSTCENTERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEECOLLC' AND KSQL_COL_NAME ='FSRCBILLNUM') 
 ALTER TABLE T_SCA_MFGFEECOLLC ADD (FSRCBILLNUM NVARCHAR(60) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEECOLLCENTRY' AND KSQL_COL_NAME ='FVOUCHERENTRYID') 
 ALTER TABLE T_SCA_MFGFEECOLLCENTRY ADD (FVOUCHERENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MFGFEEIMPSCHBCC') 
 CREATE TABLE T_SCA_MFGFEEIMPSCHBCC (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
