﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_PRICEDIFFALLOC') 
 CREATE TABLE T_SCA_PRICEDIFFALLOC (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCREATETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMATVERSIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CALCRESULTPRICE') 
 CREATE TABLE T_SCA_CALCRESULTPRICE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPERIODTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPDATATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPELEMENT BIGINT DEFAULT 0 NOT NULL,
FPSUBELEMENT BIGINT DEFAULT 0 NOT NULL,
FPMATERIAL BIGINT DEFAULT 0 NOT NULL,
FPAUXPTY BIGINT DEFAULT 0 NOT NULL,
FPMATVERSION BIGINT DEFAULT 0 NOT NULL,
FPPDSTARTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPPDSTARTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPPDCURRQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPPDCURRAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPPDCOMPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPPDCOMPAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPPDENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPPDENDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPTOTALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPSTDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPSTDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMATDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMFGFEEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIPTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFEEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNABSORBFEEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTUPDATEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFACTCOST DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_PRICEDIFFALLOCENTRY') 
 CREATE TABLE T_SCA_PRICEDIFFALLOCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_UNABSORBDIFF' AND KSQL_COL_NAME ='FCURRENCYID') 
 ALTER TABLE T_SCA_UNABSORBDIFF ADD (FCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_PURCHDIFFALLOC') 
 CREATE TABLE T_SCA_PURCHDIFFALLOC (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FDIFFTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVOUCHERNUM NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FDIFFTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_PURCHDIFFALLOCENTRY') 
 CREATE TABLE T_SCA_PURCHDIFFALLOCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_PURCHPRICEENTRY') 
 CREATE TABLE T_SCA_PURCHPRICEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FADJUSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FINTOAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTOSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FLASTINTOAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTPERIOD BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_TOTALMFGFEE' AND KSQL_COL_NAME ='FCURRENCYID') 
 ALTER TABLE T_SCA_TOTALMFGFEE ADD (FCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_PURCHPRICEDIFF') 
 CREATE TABLE T_SCA_PURCHPRICEDIFF (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOSTADJUSTNUM NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSRCBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FSOURCE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PRODIFFBILL' AND KSQL_COL_NAME ='FDIFFRULE') 
 ALTER TABLE T_SCA_PRODIFFBILL ADD (FDIFFRULE NVARCHAR(255) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
