﻿/**Begin D:\PDM_UPGRADE\PDM1\SCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_ALLOCCOUNTRPT_STEP') 
 CREATE TABLE T_SCA_ALLOCCOUNTRPT_STEP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FITEM NVARCHAR(60) DEFAULT ' ' NOT NULL,
FRESULT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCNSMTIME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCHECKDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAILCONFIGID BIGINT DEFAULT 0 NOT NULL,
FSUBNEXTENTITY NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSUBPARAM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBSTARTTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_COSTMATITEMSCALE') 
 CREATE TABLE T_SCA_COSTMATITEMSCALE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FDIFFTYPEID CHAR(1) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_COSTSTRUCTURESHEET') 
 CREATE TABLE T_SCA_COSTSTRUCTURESHEET (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FITEMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPROPID BIGINT DEFAULT 0 NOT NULL,
FVERSIONNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMEMO NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MATCOSTELEMENT') 
 CREATE TABLE T_SCA_MATCOSTELEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_SUBMATSCALE') 
 CREATE TABLE T_SCA_SUBMATSCALE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FLASTMATERIALID BIGINT DEFAULT 0 NOT NULL,
FLASTVERSIONID BIGINT DEFAULT 0 NOT NULL,
FLASTAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FWEIGHTVALUE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFALLOCCOUNTRPT' AND KSQL_COL_NAME IN ('FUSETIME')) 
 ALTER TABLE T_SCA_DIFFALLOCCOUNTRPT ADD (FUSETIME BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFALLOCCOUNTRPT' AND KSQL_COL_NAME IN ('FTYPE')) 
 ALTER TABLE T_SCA_DIFFALLOCCOUNTRPT ADD (FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFALLOCCOUNTRPT' AND KSQL_COL_NAME IN ('FPROGRESS')) 
 ALTER TABLE T_SCA_DIFFALLOCCOUNTRPT ADD (FPROGRESS BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFALLOCCOUNTRPT' AND KSQL_COL_NAME IN ('FREPORTTYPE')) 
 ALTER TABLE T_SCA_DIFFALLOCCOUNTRPT ADD (FREPORTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFALLOCCOUNTRPT' AND KSQL_COL_NAME IN ('FNEXTPAGEPARA')) 
 ALTER TABLE T_SCA_DIFFALLOCCOUNTRPT ADD (FNEXTPAGEPARA NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFCALCRESULT' AND KSQL_COL_NAME IN ('FCALCREPORTID')) 
 ALTER TABLE T_SCA_DIFFCALCRESULT ADD (FCALCREPORTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFCALCRESULT' AND KSQL_COL_NAME IN ('FSTARTQTYS')) 
 ALTER TABLE T_SCA_DIFFCALCRESULT ADD (FSTARTQTYS DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFCALCRESULT' AND KSQL_COL_NAME IN ('FCURRQTYS')) 
 ALTER TABLE T_SCA_DIFFCALCRESULT ADD (FCURRQTYS DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFCALCRESULT' AND KSQL_COL_NAME IN ('FCOMPQTYS')) 
 ALTER TABLE T_SCA_DIFFCALCRESULT ADD (FCOMPQTYS DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFCALCRESULT' AND KSQL_COL_NAME IN ('FENDQTYS')) 
 ALTER TABLE T_SCA_DIFFCALCRESULT ADD (FENDQTYS DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFCALCRESULT' AND KSQL_COL_NAME IN ('FTOTALQTYS')) 
 ALTER TABLE T_SCA_DIFFCALCRESULT ADD (FTOTALQTYS DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_EXPENSEITEMSUBELEME' AND KSQL_COL_NAME IN ('FMFGFEEALLOCCOID')) 
 ALTER TABLE T_SCA_EXPENSEITEMSUBELEME ADD (FMFGFEEALLOCCOID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_DIFFCALCRESULTENTRY_M') 
 CREATE TABLE T_SCA_DIFFCALCRESULTENTRY_M (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTARTINVOICEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTFEEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTOTHERDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTMADEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTMADEUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINVOICEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALFEEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOTHERDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALMADEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALMADEUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDINVOICEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDFEEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDOTHERDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDMADEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDMADEUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPINVOICEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPFEEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPOTHERDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPMADEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPMADEUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRINVOICEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRFEEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURROTHERDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRMADEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRMADEUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_STRUCTURESHEET_DTL') 
 CREATE TABLE T_SCA_STRUCTURESHEET_DTL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBJECTORMATERIEL NVARCHAR(60) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSONVERSIONID BIGINT DEFAULT 0 NOT NULL,
FSONAUXPROPID BIGINT DEFAULT 0 NOT NULL,
FCVERTVKPD NVARCHAR(60) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSONNUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUNAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHIDEMATERIELID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FMODEL NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFCALCRESULTENTRY' AND KSQL_COL_NAME IN ('FPARENTENTRYID')) 
 ALTER TABLE T_SCA_DIFFCALCRESULTENTRY ADD (FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\SCA_table.sql **/
