﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_COSTSTRUCTURESHEET_L') 
 CREATE TABLE T_SCA_COSTSTRUCTURESHEET_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMEMO NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_OVERHEADALLOTCOST' AND KSQL_COL_NAME ='FBILLNO') 
 ALTER TABLE T_SCA_OVERHEADALLOTCOST ADD (FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFCALCRESULT' AND KSQL_COL_NAME ='FBIZSTATUS') 
 ALTER TABLE T_SCA_DIFFCALCRESULT ADD (FBIZSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL );
 EXEC p_AlterColumn 'T_SCA_MFGFEEALLOCCC', 'FBILLNO', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_OVERHEADALLOTENTRY' AND KSQL_COL_NAME ='FPRODUCTITEM') 
 ALTER TABLE T_SCA_OVERHEADALLOTENTRY ADD (FPRODUCTITEM BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_CHECKREPORTDETAIL' AND KSQL_COL_NAME ='FBILLNO') 
 ALTER TABLE T_SCA_CHECKREPORTDETAIL ADD (FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL );
 EXEC p_AlterColumn 'T_SCA_DIFFALLOCCOUNTRPT', 'FNEXTPAGEPARA', 'NVARCHAR(1000)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFALLOCCOUNTRPT' AND KSQL_COL_NAME ='FNEXTPAGEPARA_TAG') 
 ALTER TABLE T_SCA_DIFFALLOCCOUNTRPT ADD (FNEXTPAGEPARA_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_DIFFALLOCCOUNTRPT' AND KSQL_COL_NAME ='FBILLNO') 
 ALTER TABLE T_SCA_DIFFALLOCCOUNTRPT ADD (FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_ALLOCCOUNTRPT_STEP' AND KSQL_COL_NAME ='FSUBPARAM_TAG') 
 ALTER TABLE T_SCA_ALLOCCOUNTRPT_STEP ADD (FSUBPARAM_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_WIPCOSTINITENTRY' AND KSQL_COL_NAME ='FCOSTLEVEL') 
 ALTER TABLE T_SCA_WIPCOSTINITENTRY ADD (FCOSTLEVEL VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_LASTDIFFMATERIAL') 
 CREATE TABLE T_SCA_LASTDIFFMATERIAL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLASTMATERIALID BIGINT DEFAULT 0 NOT NULL,
FLASTVERSIONID BIGINT DEFAULT 0 NOT NULL,
FLASTAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FWEIGHTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PURCHDIFFALLOCENTRY' AND KSQL_COL_NAME ='FDIFAMOUNT') 
 ALTER TABLE T_SCA_PURCHDIFFALLOCENTRY ADD (FDIFAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PURCHDIFFALLOCENTRY' AND KSQL_COL_NAME ='FWEIGHVALUE') 
 ALTER TABLE T_SCA_PURCHDIFFALLOCENTRY ADD (FWEIGHVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_OVERHEADALLOTBENEFI' AND KSQL_COL_NAME ='FBENEFCOSTCENTERID') 
 ALTER TABLE T_SCA_OVERHEADALLOTBENEFI ADD (FBENEFCOSTCENTERID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
