﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_constraint.sql **/
 EXEC P_ALTERPK 'PK_SCA_HALFPRDHIDE', 'T_SCA_HALFPRDHIDE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_HALFPRDHIDE') CREATE INDEX IDX_SCA_HALFPRDHIDE ON T_SCA_HALFPRDHIDE ( FCOSTACCOUNTID ,FPRDORGID,FPERIODID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_HALFPRDHIDEMAT') CREATE INDEX IDX_SCA_HALFPRDHIDEMAT ON T_SCA_HALFPRDHIDE ( FMATERIALID,FMATERIALVERSIONID,FAUXPROPID );


 EXEC P_ALTERPK 'PK_SCA_HALFPRDHIDEENTRY', 'T_SCA_HALFPRDHIDEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_HALFPRDHIDEENTRY') CREATE INDEX IDX_SCA_HALFPRDHIDEENTRY ON T_SCA_HALFPRDHIDEENTRY ( FID ,FENTRYID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_HALFPRDHIDEENTRYMAT') CREATE INDEX IDX_SCA_HALFPRDHIDEENTRYMAT ON T_SCA_HALFPRDHIDEENTRY ( FSUBELEMENTID ,FSUBMATERIALID );
 
 EXEC P_ALTERPK 'PK_SCA_HALFPRDHIDE_L', 'T_SCA_HALFPRDHIDE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_HALFPRDHIDE_L') CREATE INDEX IDX_SCA_HALFPRDHIDE_L ON T_SCA_HALFPRDHIDE_L ( FID );
 
 EXEC P_ALTERPK 'PK_SCA_DEBUGSETTING', 'T_SCA_DEBUGSETTING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_DEBUGSETTING') CREATE INDEX IDX_SCA_DEBUGSETTING ON T_SCA_DEBUGSETTING ( FNAME );

 EXEC P_ALTERPK 'PK_SCA_COSTRECOVRY', 'T_SCA_COSTRECOVRY', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_COSTRECOVRY') CREATE INDEX IDX_SCA_COSTRECOVRY ON T_SCA_COSTRECOVRY ( FCOSTACCOUNTID,FPERIODID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_COSTRECOVRYMAT') CREATE INDEX IDX_SCA_COSTRECOVRYMAT ON T_SCA_COSTRECOVRY ( FMATERIALID,FMATERIALVERID,FAUXPROPID );

 EXEC P_ALTERPK 'PK_SCA_COSTRECOVRYENTRY', 'T_SCA_COSTRECOVRYENTRY', 'FENTRYID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_COSTRECOVRYENTRY') CREATE INDEX IDX_SCA_COSTRECOVRYENTRY ON T_SCA_COSTRECOVRYENTRY ( FID ,FENTRYID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_COSTRECOVRYENTRYMAT') CREATE INDEX IDX_SCA_COSTRECOVRYENTRYMAT ON T_SCA_COSTRECOVRYENTRY ( FSUBELEMENTID ,FSUBMATERIALID );
 
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_constraint.sql **/
