
/** 初始化计算结果表的业务状态字段 **/
/**  update t_sca_calcresult t set t.fbizstatus ='' where t.fbizstatus is not null; **/

/** 1. 根据成本确认单的核算对象，账簿，会计期间更新计算结果单的业务状态 **/
update
	t_sca_calcresult
set
	fbizstatus = 'A'
where
	FID in (
	select
		fid
	from
		(
		select
			t.fid
		from
			t_sca_costconfirm f,
			t_sca_calcresult t
		where
			t.FCOSTOBJECTID = f.FCOSTOBJECTID
			and t.FCOSTACCOUNTID = f.FCOSTACCOUNTID
			and t.FPERIODID = f.FPERIODID
			and f.fbizstatus = 'A' ) t1 );

update
	t_sca_calcresult
set
	fbizstatus = 'B'
where
	FID in (
	select
		fid
	from
		(
		select
			t.fid
		from
			t_sca_costconfirm f,
			t_sca_calcresult t
		where
			t.FCOSTOBJECTID = f.FCOSTOBJECTID
			and t.FCOSTACCOUNTID = f.FCOSTACCOUNTID
			and t.FPERIODID = f.FPERIODID
			and f.fbizstatus = 'B' ) t1 );
			
update t_sca_calcresult set fbizstatus ='A' where fbizstatus is  null or fbizstatus='';