﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MFGIMP_ACCOUNTVIEWS')
 CREATE TABLE T_SCA_MFGIMP_ACCOUNTVIEWS (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


EXEC P_ALTERPK 'PK_T_SCA_MFGIMP_ACCOUNTVIEWS', 'T_SCA_MFGIMP_ACCOUNTVIEWS', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MFGIMP_BASEDATA') CREATE INDEX IDX_MFGIMP_BASEDATA ON T_SCA_MFGIMP_ACCOUNTVIEWS ( FID ,FBASEDATAID );


INSERT INTO T_SCA_MFGIMP_ACCOUNTVIEWS (FPKID, FID, FBASEDATAID) SELECT
	ENTRY.FID,
	ENTRY.FID,
	ENTRY.FACCOUNTVIEWID
FROM
	T_SCA_MFGFEEIMPSCH ENTRY
WHERE
	ENTRY.FACCOUNTVIEWID != 0
AND FSRCBILL = 'gl_voucher'
AND ENTRY.FID NOT IN (
	SELECT
		FID
	FROM
		T_SCA_MFGIMP_ACCOUNTVIEWS
);
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
