IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_AUTOCALCLOG') 
 CREATE TABLE T_SCA_AUTOCALCLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FEXECLOG NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSYNCDATE DATETIME,
FLASTEXECDATE DATETIME,
FOPERDATE DATETIME,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FORDERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FTRYTIMES INT DEFAULT 0 NOT NULL,
FMANUORGID BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_T_SCA_AUTOCALCLOG', 'T_SCA_AUTOCALCLOG', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_AUTOCALCLOG_SYNCDATE') CREATE INDEX IDX_SCA_AUTOCALCLOG_SYNCDATE ON T_SCA_AUTOCALCLOG (FSYNCDATE);
