/**计算结果单 单据体增加维度字段和卷算维度数据**/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_CALCRESULTENTRY' AND KSQL_COL_NAME ='FKEYCOLID')
ALTER TABLE T_SCA_CALCRESULTENTRY ADD (FKEYCOLID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_CALCRESULTENTRY' AND KSQL_COL_NAME ='FKEYCOL')
ALTER TABLE T_SCA_CALCRESULTENTRY ADD (FKEYCOL NVARCHAR(200) DEFAULT ' ' NOT NULL );


/**材料耗用归集 单据体增加维度字段和卷算维度数据**/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MATUSECOLLECTENTRY' AND KSQL_COL_NAME ='FKEYCOLID')
ALTER TABLE T_SCA_MATUSECOLLECTENTRY ADD (FKEYCOLID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MATUSECOLLECTENTRY' AND KSQL_COL_NAME ='FKEYCOL')
ALTER TABLE T_SCA_MATUSECOLLECTENTRY ADD (FKEYCOL NVARCHAR(200) DEFAULT ' ' NOT NULL );



/**材料耗用分配 增加维度字段和卷算维度数据**/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MATALLOC' AND KSQL_COL_NAME ='FKEYCOLID')
ALTER TABLE T_SCA_MATALLOC ADD (FKEYCOLID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MATALLOC' AND KSQL_COL_NAME ='FKEYCOL')
ALTER TABLE T_SCA_MATALLOC ADD (FKEYCOL NVARCHAR(200) DEFAULT ' ' NOT NULL );


/**材料耗用归集 单据体增加keycol索引**/
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_MATUSECOLLECT_FKEYCOL') CREATE INDEX IDX_CAD_MATUSECOLLECT_FKEYCOL ON T_SCA_MATUSECOLLECTENTRY ( FKEYCOL );

/**材料耗用分配 单据头增加keycol索引**/
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAD_MATALLOC_FKEYCOL') CREATE INDEX IDX_CAD_MATALLOC_FKEYCOL ON T_SCA_MATALLOC ( FKEYCOL );
