/*差异分摊-计算结果单-综合查询加索引-成本对象字段*/
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_COMDIFFRESULTE_OBJ') 
CREATE INDEX IDX_SCA_COMDIFFRESULTE_OBJ ON T_SCA_COMDIFFRESULTENTRY ( FRELACOSTOBJECTID1 );
/*差异分摊-计算结果单-下阶差异加索引-成本对象字段*/
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_SUBDIFFRESULTE_OBJ') 
CREATE INDEX IDX_SCA_SUBDIFFRESULTE_OBJ ON T_SCA_SUBDIFFRESULTENTRY ( FRELACOSTOBJECTID2 );
/*成本计算-计算结果单-未吸收差异加索引-成本对象字段*/
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_UNABSORBENTRY_OBJ') 
CREATE INDEX IDX_SCA_UNABSORBENTRY_OBJ ON T_SCA_UNABSORBENTRY ( FMFGOBJID );
/*成本计算-计算结果单-标准成本差异加索引-数据类型字段*/
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_CALCRESULTE_TP') 
CREATE INDEX IDX_SCA_CALCRESULTE_TP ON T_SCA_CALCRESULTENTRY ( FDATATYPE );
/*差异分摊-计算结果单-综合查询加索引-类型字段*/
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_COMDIFFRESULTE_TP') 
CREATE INDEX IDX_SCA_COMDIFFRESULTE_TP ON T_SCA_COMDIFFRESULTENTRY ( FTYPE1 );
/*差异分摊-计算结果单-下阶差异加索引-类型字段*/
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_SUBDIFFRESULTE_TP') 
CREATE INDEX IDX_SCA_SUBDIFFRESULTE_TP ON T_SCA_SUBDIFFRESULTENTRY ( FTYPE2 );
/*成本计算-计算结果单-未吸收差异加索引-类型字段*/
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_UNABSORBENTRY_TP') 
CREATE INDEX IDX_SCA_UNABSORBENTRY_TP ON T_SCA_UNABSORBENTRY ( FTYPE );