﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_SCA_MATALLOCSTDENTRY', 'T_SCA_MATALLOCSTDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_MATALLOCSTDENTRY') CREATE INDEX INDEX_MATALLOCSTDENTRY ON T_SCA_MATALLOCSTDENTRY ( FCOSTCENTERID ,FCOSTDRIVERID );


 EXEC P_ALTERPK 'PK_T_SCA_MATUSECOLLECT', 'T_SCA_MATUSECOLLECT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCA_MATUSECOLLECT') CREATE INDEX INDEX_SCA_MATUSECOLLECT ON T_SCA_MATUSECOLLECT ( FORGID ,FCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_SCA_MATUSECOLLECT_L', 'T_SCA_MATUSECOLLECT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCA_MATUSECOLLECT_L') CREATE INDEX INDEX_SCA_MATUSECOLLECT_L ON T_SCA_MATUSECOLLECT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCA_MATUSECOLLECTENTRY', 'T_SCA_MATUSECOLLECTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCA_MATCOLLECTENTRY') CREATE INDEX INDEX_SCA_MATCOLLECTENTRY ON T_SCA_MATUSECOLLECTENTRY ( FMATERIALID ,FCOSTOBJECTID );


 EXEC P_ALTERPK 'PK_T_SCA_MFGFEEALLOCENTRY', 'T_SCA_MFGFEEALLOCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCA_MFGALLOCENTRY') CREATE INDEX INDEX_SCA_MFGALLOCENTRY ON T_SCA_MFGFEEALLOCENTRY ( FSUBELEMENTID ,FBENEFCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_SCA_MFGFEEALLOCMCOSTC', 'T_SCA_MFGFEEALLOCMCOSTC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCA_MFGALLOCMCOSTC') CREATE INDEX INDEX_SCA_MFGALLOCMCOSTC ON T_SCA_MFGFEEALLOCMCOSTC ( FID ,FBASEDATAID );





 EXEC P_ALTERPK 'PK_T_SCA_PRODUCTSUBENTRY', 'T_SCA_PRODUCTSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCA_PRODUCTSUBENTRY') CREATE INDEX INDEX_SCA_PRODUCTSUBENTRY ON T_SCA_PRODUCTSUBENTRY ( FENTRYID ,FMATERIALID );


 EXEC P_ALTERPK 'PK_T_SCA_MFGFEEALLOC', 'T_SCA_MFGFEEALLOC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCA_MFGFEEALLOC') CREATE INDEX INDEX_SCA_MFGFEEALLOC ON T_SCA_MFGFEEALLOC ( FORGID ,FCOSTCENTERID );




 EXEC P_ALTERPK 'PK_T_SCA_BENEFCOSTCENTER', 'T_SCA_BENEFCOSTCENTER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCA_BENEFCOSTCENTER') CREATE INDEX INDEX_SCA_BENEFCOSTCENTER ON T_SCA_BENEFCOSTCENTER ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_SCA_MFGFEECOLLC', 'T_SCA_MFGFEECOLLC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCA_MFGFEECOLLC') CREATE INDEX INDEX_SCA_MFGFEECOLLC ON T_SCA_MFGFEECOLLC ( FORGID ,FCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_SCA_MFGFEECOLLC_L', 'T_SCA_MFGFEECOLLC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCA_MFGFEECOLLC_L') CREATE INDEX INDEX_SCA_MFGFEECOLLC_L ON T_SCA_MFGFEECOLLC_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCA_MFGFEECOLLCENTRY', 'T_SCA_MFGFEECOLLCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCA_MFGFEECOLLCENTRY') CREATE INDEX INDEX_SCA_MFGFEECOLLCENTRY ON T_SCA_MFGFEECOLLCENTRY ( FID ,FSUBELEMENTID );


 EXEC P_ALTERPK 'PK_T_SCA_MATALLOCSTD', 'T_SCA_MATALLOCSTD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCA_MATALLOCSTD') CREATE INDEX INDEX_SCA_MATALLOCSTD ON T_SCA_MATALLOCSTD ( FORGID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_constraint.sql **/
