﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEECOLLC_L' AND KSQL_COL_NAME ='FREMARKS') 
 ALTER TABLE T_SCA_MFGFEECOLLC_L ADD (FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MATALLOC') 
 CREATE TABLE T_SCA_MATALLOC (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE VARCHAR(30) DEFAULT 'PRODUCTMATGET' NOT NULL,
FCOSTDRIVERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FLOTCODERULEID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FUSEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FALLOCSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FALLOCTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FALLOCTORID BIGINT DEFAULT 0 NOT NULL,
FALLOCATEDATE DATETIME,
FUSETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMATCOLLECTID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FMATCOSTINFOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MATALLOCENTRY') 
 CREATE TABLE T_SCA_MATALLOCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FALLOCVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FELEMENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MATALLOCSUBENTRY') 
 CREATE TABLE T_SCA_MATALLOCSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSUBMATVERISONID BIGINT DEFAULT 0 NOT NULL,
FSUBAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSUBQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEEALLOCENTRY' AND KSQL_COL_NAME ='FELEMENTID') 
 ALTER TABLE T_SCA_MFGFEEALLOCENTRY ADD (FELEMENTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEEALLOC' AND KSQL_COL_NAME ='FVOUCHERNUM') 
 ALTER TABLE T_SCA_MFGFEEALLOC ADD (FVOUCHERNUM NVARCHAR(60) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEEALLOC' AND KSQL_COL_NAME ='FNOALCELEMENTID') 
 ALTER TABLE T_SCA_MFGFEEALLOC ADD (FNOALCELEMENTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_RESOURCEUSE') 
 CREATE TABLE T_SCA_RESOURCEUSE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_RESOURCEUSEENTRY') 
 CREATE TABLE T_SCA_RESOURCEUSEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FWORKHOURID BIGINT DEFAULT 0 NOT NULL,
FFACTHOUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFACTUSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFACTBATCH DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEEALLOCSTDSUBEN' AND KSQL_COL_NAME ='FBENEFCOSTCENTERID') 
 ALTER TABLE T_SCA_MFGFEEALLOCSTDSUBEN ADD (FBENEFCOSTCENTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEEALLOCSTDSUBEN' AND KSQL_COL_NAME ='FDETAILID') 
 ALTER TABLE T_SCA_MFGFEEALLOCSTDSUBEN ADD (FDETAILID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEECOLLCENTRY' AND KSQL_COL_NAME ='FCOSTOBJECTID') 
 ALTER TABLE T_SCA_MFGFEECOLLCENTRY ADD (FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEECOLLCENTRY' AND KSQL_COL_NAME ='FELEMENTID') 
 ALTER TABLE T_SCA_MFGFEECOLLCENTRY ADD (FELEMENTID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
