﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CALCRESULT') 
 CREATE TABLE T_SCA_CALCRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FPERIODID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CALCRESULTENTRY') 
 CREATE TABLE T_SCA_CALCRESULTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTY BIGINT DEFAULT 0 NOT NULL,
FMATVERSIONID BIGINT DEFAULT 0 NOT NULL,
FPDSTARTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDSTARTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDCURRTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDCURRAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDCOMPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDCOMPANOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDENDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATATYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCALTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
