﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_TASKCONFIG') 
 CREATE TABLE T_SCA_TASKCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNEXTENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCLASS VARCHAR(255) DEFAULT ' ' NOT NULL,
FMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_TASKCONFIG_L') 
 CREATE TABLE T_SCA_TASKCONFIG_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_TASKCONFIGENTRY') 
 CREATE TABLE T_SCA_TASKCONFIGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBNEXTENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_TASKCONFIGENTRY_L') 
 CREATE TABLE T_SCA_TASKCONFIGENTRY_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSUBNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CHECKCONFIG') 
CREATE TABLE T_SCA_CHECKCONFIG (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FBILLNO              NVARCHAR(60)         NOT NULL DEFAULT ' ',
   FCREATORID           BIGINT               NOT NULL DEFAULT 0,
   FCREATETIME          DATETIME             NULL,
   FTYPE                NVARCHAR(30)         NOT NULL DEFAULT ' ',
   FTASKCONFIGID        BIGINT               NOT NULL DEFAULT 0
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CHECKCONFIG_L') 
CREATE TABLE T_SCA_CHECKCONFIG_L (
   FPKID                VARCHAR(30)          NOT NULL DEFAULT ' ',
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FLOCALEID            NVARCHAR(20)         NOT NULL DEFAULT ' ',
   FNAME                NVARCHAR(255)        NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CHECKCONFIGENTRY') 
CREATE TABLE T_SCA_CHECKCONFIGENTRY (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FSEQ                 BIGINT               NOT NULL DEFAULT 0,
   FCLASS               VARCHAR(255)         NOT NULL DEFAULT ' ',
   FMETHOD              VARCHAR(50)          NOT NULL DEFAULT ' ',
   FREUSLTENTITY        NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FSORT                BIGINT               NOT NULL DEFAULT 0
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CHECKCONFIGENTRY_L') 
CREATE TABLE T_SCA_CHECKCONFIGENTRY_L (
   FPKID                VARCHAR(30)          NOT NULL DEFAULT ' ',
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FLOCALEID            NVARCHAR(20)         NOT NULL DEFAULT ' ',
   FDESC                NVARCHAR(255)        NOT NULL DEFAULT ' '
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
