﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_SCA_TOTALMFGFEE', 'T_SCA_TOTALMFGFEE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_TOTALMFGFEE') CREATE INDEX IDX_SCA_TOTALMFGFEE ON T_SCA_TOTALMFGFEE ( FORGID ,FPERIODID ,FCOSTACCOUNTID ,FCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_SCA_TOTALMFGFEEENTRY', 'T_SCA_TOTALMFGFEEENTRY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_TOTALMFGFEEENTRY') CREATE INDEX IDX_SCA_TOTALMFGFEEENTRY ON T_SCA_TOTALMFGFEEENTRY ( FSUBELEMENTID ,FELEMENTID );


 EXEC P_ALTERPK 'PK_T_SCA_UNABSORBDIFF', 'T_SCA_UNABSORBDIFF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCA_UNABSORBDIFF') CREATE INDEX INDEX_SCA_UNABSORBDIFF ON T_SCA_UNABSORBDIFF ( FORGID ,FPERIODID ,FCOSTACCOUNTID ,FCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_SCA_UNABSORBDIFFENTRY', 'T_SCA_UNABSORBDIFFENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_UNABSORBDIFFENTRY') CREATE INDEX IDX_SCA_UNABSORBDIFFENTRY ON T_SCA_UNABSORBDIFFENTRY ( FELEMENTID ,FSUBELEMENTID );


 EXEC P_ALTERPK 'PK_T_SCA_USERFINISHOFFSET', 'T_SCA_USERFINISHOFFSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCA_USERFINISHOFFSET') CREATE INDEX INDEX_SCA_USERFINISHOFFSET ON T_SCA_USERFINISHOFFSET ( FUSERID ,FDIFFTYPE );


 EXEC P_ALTERPK 'PK_T_SCA_CALCRPTCENTER', 'T_SCA_CALCRPTCENTER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_CALCRPTCENTER') CREATE INDEX IDX_SCA_CALCRPTCENTER ON T_SCA_CALCRPTCENTER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_SCA_CALCRPTEXPENTRY', 'T_SCA_CALCRPTEXPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_CALCRPTEXPENTRY') CREATE INDEX IDX_SCA_CALCRPTEXPENTRY ON T_SCA_CALCRPTEXPENTRY ( FID ,FCOSTOBJECTID );


 EXEC P_ALTERPK 'PK_T_SCA_CHECKDETAIL', 'T_SCA_CHECKDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_CHECKDETAIL') CREATE INDEX IDX_SCA_CHECKDETAIL ON T_SCA_CHECKDETAIL ( FORGID ,FCOSTACCOUNTID ,FPERIODID );


 EXEC P_ALTERPK 'PK_T_SCA_CHECKDETAILCENTER', 'T_SCA_CHECKDETAILCENTER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_CHECKDETAILCENTER') CREATE INDEX IDX_SCA_CHECKDETAILCENTER ON T_SCA_CHECKDETAILCENTER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_SCA_CHECKRESULT', 'T_SCA_CHECKRESULT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_CHECKRESULT') CREATE INDEX IDX_SCA_CHECKRESULT ON T_SCA_CHECKRESULT ( FORGID ,FCOSTACCOUNTID ,FPERIODID );


 EXEC P_ALTERPK 'PK_T_SCA_CHECKRESULTCENTER', 'T_SCA_CHECKRESULTCENTER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_CHECKRESULTCENTER') CREATE INDEX IDX_SCA_CHECKRESULTCENTER ON T_SCA_CHECKRESULTCENTER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_SCA_CHECKRESULTENTRY', 'T_SCA_CHECKRESULTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_CHECKRESULTENTRY') CREATE INDEX IDX_SCA_CHECKRESULTENTRY ON T_SCA_CHECKRESULTENTRY ( FID ,FITEMID );


 EXEC P_ALTERPK 'PK_T_SCA_FINISHDIFFBILL', 'T_SCA_FINISHDIFFBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_FINISHDIFFBILL') CREATE INDEX IDX_SCA_FINISHDIFFBILL ON T_SCA_FINISHDIFFBILL ( FCOSTACCOUNTID ,FCOSTCENTERID ,FCOSTOBJECTID );


 EXEC P_ALTERPK 'PK_T_SCA_FINISHDIFFBILLENTRY', 'T_SCA_FINISHDIFFBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_FINISHDIFFENTRY') CREATE INDEX IDX_SCA_FINISHDIFFENTRY ON T_SCA_FINISHDIFFBILLENTRY ( FELEMENTID ,FSUBELEMENTID );


 EXEC P_ALTERPK 'PK_T_SCA_PRODIFFBILL', 'T_SCA_PRODIFFBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_PRODIFFBILL') CREATE INDEX IDX_SCA_PRODIFFBILL ON T_SCA_PRODIFFBILL ( FORGID ,FCOSTACCOUNTID ,FCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_SCA_PRODIFFBILLENTRY', 'T_SCA_PRODIFFBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_PRODIFFBILLENTRY') CREATE INDEX IDX_SCA_PRODIFFBILLENTRY ON T_SCA_PRODIFFBILLENTRY ( FCOSTOBJECTID ,FELEMENTID ,FSUBELEMENTID );


 EXEC P_ALTERPK 'PK_T_SCA_STARTSTDCOST', 'T_SCA_STARTSTDCOST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_STARTSTDCOST') CREATE INDEX IDX_SCA_STARTSTDCOST ON T_SCA_STARTSTDCOST ( FBILLSTATUS ,FORGID );


 EXEC P_ALTERPK 'PK_T_SCA_STARTSTDCOSTENTRY', 'T_SCA_STARTSTDCOSTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_STARTSTDCOSTENTRY') CREATE INDEX IDX_SCA_STARTSTDCOSTENTRY ON T_SCA_STARTSTDCOSTENTRY ( FCOSTACCOUNTID ,FCALPOLICYID );


 EXEC P_ALTERPK 'PK_T_SCA_WORKQTYCOLLEC', 'T_SCA_WORKQTYCOLLEC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_WORKQTYCOLLEC') CREATE INDEX IDX_SCA_WORKQTYCOLLEC ON T_SCA_WORKQTYCOLLEC ( FORGID ,FBIZDATE ,FCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_SCA_CALCRPT', 'T_SCA_CALCRPT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_CALCRPT') CREATE INDEX IDX_SCA_CALCRPT ON T_SCA_CALCRPT ( FACCOUNTORG ,FCOSTACCOUNTID ,FPERIODID ,FSTARTTIME );


 EXEC P_ALTERPK 'PK_T_SCA_CALCRPTDTENTRY', 'T_SCA_CALCRPTDTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_CALCRPTDTENTRY') CREATE INDEX IDX_SCA_CALCRPTDTENTRY ON T_SCA_CALCRPTDTENTRY ( FID ,FDETAILCONFIGID );


 EXEC P_ALTERPK 'PK_T_SCA_CHECKDETAILENTRY', 'T_SCA_CHECKDETAILENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_CHECKDETAILENTRY') CREATE INDEX IDX_SCA_CHECKDETAILENTRY ON T_SCA_CHECKDETAILENTRY ( FENTRYCOSTCENTERID ,FID );


 EXEC P_ALTERPK 'PK_T_SCA_CHECKRESULTENTRY_L', 'T_SCA_CHECKRESULTENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_CHECKRESULTENTRY_L') CREATE INDEX IDX_SCA_CHECKRESULTENTRY_L ON T_SCA_CHECKRESULTENTRY_L ( FLOCALEID ,FENTRYID );


 EXEC P_ALTERPK 'PK_T_SCA_WORKQTYCOLLEC_L', 'T_SCA_WORKQTYCOLLEC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_WORKQTYCOLLEC_L') CREATE INDEX IDX_SCA_WORKQTYCOLLEC_L ON T_SCA_WORKQTYCOLLEC_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCA_WORKQTYCOLLECENTRY', 'T_SCA_WORKQTYCOLLECENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_WORKQTYCOLLECENTRY') CREATE INDEX IDX_SCA_WORKQTYCOLLECENTRY ON T_SCA_WORKQTYCOLLECENTRY ( FBENEFCOSTCENTERID ,FCOSTOBJECTID );


 EXEC P_ALTERPK 'PK_T_SCA_DIFFRULE', 'T_SCA_DIFFRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_DIFFRULE') CREATE INDEX IDX_SCA_DIFFRULE ON T_SCA_DIFFRULE ( FORGID ,FCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_SCA_TASKRECORD', 'T_SCA_TASKRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_TASKRECORD') CREATE INDEX IDX_SCA_TASKRECORD ON T_SCA_TASKRECORD ( FSTARTTIME ,FEXECUTORID );


 EXEC P_ALTERPK 'PK_T_SCA_WIPCOSTINIT', 'T_SCA_WIPCOSTINIT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_WIPCOSTINIT') CREATE INDEX IDX_SCA_WIPCOSTINIT ON T_SCA_WIPCOSTINIT ( FORGID ,FCOSTCENTERID ,FCOSTOBJECTID );


 EXEC P_ALTERPK 'PK_T_SCA_WIPCOSTINIT_L', 'T_SCA_WIPCOSTINIT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_WIPCOSTINIT_L') CREATE INDEX IDX_SCA_WIPCOSTINIT_L ON T_SCA_WIPCOSTINIT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCA_WIPCOSTINITENTRY', 'T_SCA_WIPCOSTINITENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_WIPCOSTINITENTRY') CREATE INDEX IDX_SCA_WIPCOSTINITENTRY ON T_SCA_WIPCOSTINITENTRY ( FELEMENTID ,FSUBELEMENTID );


 EXEC P_ALTERPK 'PK_T_SCA_COSTCONFIRM', 'T_SCA_COSTCONFIRM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_COSTCONFIRM') CREATE INDEX IDX_SCA_COSTCONFIRM ON T_SCA_COSTCONFIRM ( FORGID ,FPERIODID ,FCOSTACCOUNTID ,FCOSTOBJECTID );


 EXEC P_ALTERPK 'PK_T_SCA_TASKRECORDENTRY', 'T_SCA_TASKRECORDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_TASKRECORDENTRY') CREATE INDEX IDX_SCA_TASKRECORDENTRY ON T_SCA_TASKRECORDENTRY ( FID ,FSUBSTARTTIME );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_constraint.sql **/
