﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_SCA_PRICEDIFFALLOC', 'T_SCA_PRICEDIFFALLOC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_PRICEDIFFALLOC') CREATE INDEX IDX_SCA_PRICEDIFFALLOC ON T_SCA_PRICEDIFFALLOC ( FORGID ,FCOSTACCOUNTID ,FCOSTCENTERID ,FCOSTOBJECTID );


 EXEC P_ALTERPK 'PK_T_SCA_CALCRESULTPRICE', 'T_SCA_CALCRESULTPRICE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_CALCRESULTPRICE') CREATE INDEX IDX_SCA_CALCRESULTPRICE ON T_SCA_CALCRESULTPRICE ( FPELEMENT ,FPSUBELEMENT );


 EXEC P_ALTERPK 'PK_T_SCA_PRICEDIFFALLOCENTRY', 'T_SCA_PRICEDIFFALLOCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_PRICEDIFFALLOCET') CREATE INDEX IDX_SCA_PRICEDIFFALLOCET ON T_SCA_PRICEDIFFALLOCENTRY ( FELEMENTID ,FSUBELEMENTID );


 EXEC P_ALTERPK 'PK_T_SCA_PURCHDIFFALLOC', 'T_SCA_PURCHDIFFALLOC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_PURCHDIFFALLOC') CREATE INDEX IDX_SCA_PURCHDIFFALLOC ON T_SCA_PURCHDIFFALLOC ( FORGID ,FPERIODID ,FCOSTACCOUNTID ,FCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_SCA_PURCHDIFFALLOCENTRY', 'T_SCA_PURCHDIFFALLOCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_PURCHDIFFALLOCENTRY') CREATE INDEX IDX_SCA_PURCHDIFFALLOCENTRY ON T_SCA_PURCHDIFFALLOCENTRY ( FCOSTOBJECTID ,FELEMENTID ,FSUBELEMENTID );


 EXEC P_ALTERPK 'PK_T_SCA_PURCHPRICEENTRY', 'T_SCA_PURCHPRICEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_PURCHPRICEET') CREATE INDEX IDX_SCA_PURCHPRICEET ON T_SCA_PURCHPRICEENTRY ( FELEMENTID ,FSUBELEMENTID ,FCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_SCA_PURCHPRICEDIFF', 'T_SCA_PURCHPRICEDIFF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_PURCHPRICEDIFF') CREATE INDEX IDX_SCA_PURCHPRICEDIFF ON T_SCA_PURCHPRICEDIFF ( FORGID ,FCOSTACCOUNTID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_constraint.sql **/
