﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_constraint.sql **/
 EXEC P_ALTERPK 'PK_SCA_DATACHECKITEM', 'T_SCA_DATACHECKITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_DATACHECKITEM') CREATE INDEX IDX_SCA_DATACHECKITEM ON T_SCA_DATACHECKITEM ( FNUMBER );


 EXEC P_ALTERPK 'PK_SCA_DATACHECKITEM_L', 'T_SCA_DATACHECKITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_DATACHECKITEM_L') CREATE INDEX IDX_SCA_DATACHECKITEM_L ON T_SCA_DATACHECKITEM_L ( FNAME );


 EXEC P_ALTERPK 'PK_T_SCA_AUTOEXECSHEME', 'T_SCA_AUTOEXECSHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_AUTOEXECSHEME') CREATE UNIQUE INDEX IDX_SCA_AUTOEXECSHEME ON T_SCA_AUTOEXECSHEME ( FMASTERID );


 EXEC P_ALTERPK 'PK_T_SCA_AUTOEXECSHEME_L', 'T_SCA_AUTOEXECSHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_AUTOEXECSHEME_L') CREATE INDEX IDX_SCA_AUTOEXECSHEME_L ON T_SCA_AUTOEXECSHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCA_AUTOEXECOPERENTRY', 'T_SCA_AUTOEXECOPERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_AUTOEXECOPERENTRY_FID') CREATE INDEX IDX_SCA_AUTOEXECOPERENTRY_FID ON T_SCA_AUTOEXECOPERENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_SCA_AUTOEXECORGENTRY', 'T_SCA_AUTOEXECORGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AUTOEXECORGENTRY') CREATE INDEX IDX_AUTOEXECORGENTRY ON T_SCA_AUTOEXECORGENTRY ( FID );


 EXEC P_ALTERPK 'PK_SCA_DATACHECKRESULT', 'T_SCA_DATACHECKRESULT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_DATACHECKRESULT') CREATE INDEX IDX_SCA_DATACHECKRESULT ON T_SCA_DATACHECKRESULT ( FCHECKTASKID ,FUSERID );


 EXEC P_ALTERPK 'PK_SCA_DATACHECKRESULTSUB', 'T_SCA_DATACHECKRESULTSUB', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_DATACHECKRESULTSUB') CREATE INDEX IDX_SCA_DATACHECKRESULTSUB ON T_SCA_DATACHECKRESULTSUB ( FOBJID ,FOBJTYPEID );


 EXEC P_ALTERPK 'PK_SCA_DATACHECKRESULTTRY', 'T_SCA_DATACHECKRESULTTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_DATACHECKRESULTTRY') CREATE INDEX IDX_SCA_DATACHECKRESULTTRY ON T_SCA_DATACHECKRESULTTRY ( FCHECKITEMID );


 EXEC P_ALTERPK 'PK_T_SCA_SCHEMELOG', 'T_SCA_SCHEMELOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_SCHEMELOG_SCHEMEID') CREATE INDEX IDX_SCA_SCHEMELOG_SCHEMEID ON T_SCA_SCHEMELOG ( FSCHEMEID );


 EXEC P_ALTERPK 'PK_T_SCA_SCHEMELOGENTRY', 'T_SCA_SCHEMELOGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_SCHEMELOGENTRY') CREATE INDEX IDX_SCA_SCHEMELOGENTRY ON T_SCA_SCHEMELOGENTRY ( FID );


 EXEC P_ALTERPK 'PK_SCA_DATACHECKTASK', 'T_SCA_DATACHECKTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_DATACHECKTASK') CREATE INDEX IDX_SCA_DATACHECKTASK ON T_SCA_DATACHECKTASK ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_SCA_DATACHECKTASK_L', 'T_SCA_DATACHECKTASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_DATACHECKTASK_L') CREATE INDEX IDX_SCA_DATACHECKTASK_L ON T_SCA_DATACHECKTASK_L ( FNAME );


 EXEC P_ALTERPK 'PK_T_SCA_DATACHECKTASKENTRY', 'T_SCA_DATACHECKTASKENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_DATACHECKTASKENTRY') CREATE INDEX IDX_SCA_DATACHECKTASKENTRY ON T_SCA_DATACHECKTASKENTRY ( FID ,FCHECKITEMID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_constraint.sql **/
