﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_DATACHECKITEM') 
 CREATE TABLE T_SCA_DATACHECKITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FPLUGIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_DATACHECKITEM_L') 
 CREATE TABLE T_SCA_DATACHECKITEM_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTIPS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_AUTOEXECSHEME') 
 CREATE TABLE T_SCA_AUTOEXECSHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FEXECUTORID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULEPLAN NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSHEDULEPLANID VARCHAR(50) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_AUTOEXECSHEME_L') 
 CREATE TABLE T_SCA_AUTOEXECSHEME_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(20) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_AUTOEXECOPERENTRY') 
 CREATE TABLE T_SCA_AUTOEXECOPERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOPERTITLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTITY VARCHAR(30) DEFAULT ' ' NOT NULL,
FBUSSINESSNAME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOPERNAME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOPER VARCHAR(30) DEFAULT ' ' NOT NULL,
FPARAM VARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_AUTOEXECORGENTRY') 
 CREATE TABLE T_SCA_AUTOEXECORGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_DATACHECKRESULT') 
 CREATE TABLE T_SCA_DATACHECKRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FCHECKTASKID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FCHECKTIME DATETIME,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_DATACHECKRESULTSUB') 
 CREATE TABLE T_SCA_DATACHECKRESULTSUB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOBJID BIGINT DEFAULT 0 NOT NULL,
FOBJTYPEID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FOBJDES NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTRALINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFISREPAIRED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_DATACHECKRESULTTRY') 
 CREATE TABLE T_SCA_DATACHECKRESULTTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCHECKITEMID BIGINT DEFAULT 0 NOT NULL,
FRUNINGSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYSTATUS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


 EXEC p_AlterColumn 'T_SCA_CALCRPTDTENTRY', 'FERRLOG', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_SCA_CALCRPTDTENTRY', 'FDETAIL', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_SCHEMELOG') 
 CREATE TABLE T_SCA_SCHEMELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FEXECUTERESULT CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_SCHEMELOGENTRY') 
 CREATE TABLE T_SCA_SCHEMELOGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBUSINESSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSOURCESYS BIGINT DEFAULT 0 NOT NULL,
FSOURCEENTITY BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDETAIL NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_DATACHECKTASK') 
 CREATE TABLE T_SCA_DATACHECKTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_DATACHECKTASK_L') 
 CREATE TABLE T_SCA_DATACHECKTASK_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_DATACHECKTASKENTRY') 
 CREATE TABLE T_SCA_DATACHECKTASKENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCHECKITEMID BIGINT DEFAULT 0 NOT NULL,
FENTRYENABLE CHAR(1) DEFAULT '0' NOT NULL,
FLEVEL NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOPCYCLE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEECOLLC' AND KSQL_COL_NAME ='FIMPSCHID') 
 ALTER TABLE T_SCA_MFGFEECOLLC ADD (FIMPSCHID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_RESOURCEUSE' AND KSQL_COL_NAME ='FSRCBILLID') 
 ALTER TABLE T_SCA_RESOURCEUSE ADD (FSRCBILLID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
