﻿/**Begin D:\PDM_UPGRADE\PDM1\SCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_AUTOEXECOPER') 
 CREATE TABLE T_SCA_AUTOEXECOPER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_AUTOEXECSHEMEENTRY') 
 CREATE TABLE T_SCA_AUTOEXECSHEMEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FAUTOEXECOPERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MATALLOCGSUBENTRY') 
 CREATE TABLE T_SCA_MATALLOCGSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FMATERIALGROUPID BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTGROUPID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTTYPEGROUP VARCHAR(30) DEFAULT ' ' NOT NULL,
FQTYGROUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTAMOUNTGROUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FALLOCVALUEGROUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITCOSTGROUP DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_AUTOEXECOPER_L') 
 CREATE TABLE T_SCA_AUTOEXECOPER_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(30) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\SCA_table.sql **/
