﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_TOTALMFGFEE' AND KSQL_COL_NAME ='FCOSTOBJECTID') 
 ALTER TABLE T_SCA_TOTALMFGFEE ADD (FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_COSTCHANGERECORD') 
 CREATE TABLE T_SCA_COSTCHANGERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSBILL VARCHAR(255) DEFAULT ' ' NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCHANGECONTEXT NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);

 EXEC p_AlterColumn 'T_SCA_COSTCHANGERECORD', 'FCHANGECONTEXT', 'NCLOB', 'NULL', '0011', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_COSTCHANGERECORD' AND KSQL_COL_NAME ='FCOSTACCOUNTID') 
 ALTER TABLE T_SCA_COSTCHANGERECORD ADD (FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CALCSCHEME') 
 CREATE TABLE T_SCA_CALCSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_PURCHDIFFALLOC' AND KSQL_COL_NAME ='FCALCSCHEMEID') 
 ALTER TABLE T_SCA_PURCHDIFFALLOC ADD (FCALCSCHEMEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEECOLLCENTRY' AND KSQL_COL_NAME ='FBENEFCOSTCENTERID') 
 ALTER TABLE T_SCA_MFGFEECOLLCENTRY ADD (FBENEFCOSTCENTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEECOLLC' AND KSQL_COL_NAME ='FALLOCMOLD') 
 ALTER TABLE T_SCA_MFGFEECOLLC ADD (FALLOCMOLD VARCHAR(30) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
