﻿/**Begin D:\PDM_UPGRADE\PDM1\SCA_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_SCA_MFGALLOCRECORD', 'T_SCA_MFGALLOCRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MFGALLOCRECORD') CREATE INDEX IDX_SCA_MFGALLOCRECORD ON T_SCA_MFGALLOCRECORD ( FORGID );


 EXEC P_ALTERPK 'PK_T_SCA_MFGALLOCRECORDENTRY', 'T_SCA_MFGALLOCRECORDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MFGALLOCRECORDENTRY') CREATE INDEX IDX_SCA_MFGALLOCRECORDENTRY ON T_SCA_MFGALLOCRECORDENTRY ( FID ,FBENEFITCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_SCA_MFGALLOCRECORDSUB', 'T_SCA_MFGALLOCRECORDSUB', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MFGALLOCRECORDSUB') CREATE INDEX IDX_SCA_MFGALLOCRECORDSUB ON T_SCA_MFGALLOCRECORDSUB ( FENTRYID ,FBENEFITCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_SCA_MFGFEEALLOCCC', 'T_SCA_MFGFEEALLOCCC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MFGFEEALLOCCC') CREATE INDEX IDX_SCA_MFGFEEALLOCCC ON T_SCA_MFGFEEALLOCCC ( FORGID ,FCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_SCA_MFGFEEALLOCCC_L', 'T_SCA_MFGFEEALLOCCC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MFGFEEALLOCCC_L') CREATE INDEX IDX_SCA_MFGFEEALLOCCC_L ON T_SCA_MFGFEEALLOCCC_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCA_MFGFEEALLOCCCENTRY', 'T_SCA_MFGFEEALLOCCCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MFGFEEALLOCCCENTRY') CREATE INDEX IDX_SCA_MFGFEEALLOCCCENTRY ON T_SCA_MFGFEEALLOCCCENTRY ( FID ,FSUBELEMENTID );


EXEC p_DropIdx 'INDEX_SCA_MFGFEEALLOCSTD_L', 'T_SCA_MFGFEEALLOCSTD_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MFGFEEALLOCSTD_L') CREATE INDEX IDX_SCA_MFGFEEALLOCSTD_L ON T_SCA_MFGFEEALLOCSTD_L ( FID ,FLOCALEID );

EXEC p_DropIdx 'INDEX_SCA_MFGALLOCSTDSUEN', 'T_SCA_MFGFEEALLOCSTDSUBEN';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MFGFEEALLOCSTDSUBEN') CREATE INDEX IDX_SCA_MFGFEEALLOCSTDSUBEN ON T_SCA_MFGFEEALLOCSTDSUBEN ( FENTRYID ,FBENEFCOSTCENTERID );

 EXEC p_AlterPK 'PK_T_SCA_MFGFEEALLOCSTDENTRY', 'T_SCA_MFGFEEALLOCSTDENTRY', 'FENTRYID', '0';
EXEC p_DropIdx 'INDEX_SCA_MFGALLOCSTDENTRY', 'T_SCA_MFGFEEALLOCSTDENTRY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MFGFEEALLOCSTDENTRY') CREATE  CLUSTERED INDEX IDX_SCA_MFGFEEALLOCSTDENTRY ON T_SCA_MFGFEEALLOCSTDENTRY ( FID ,FCOSTDRIVERID ,FEXPENSEITEMID );

EXEC p_DropIdx 'INDEX_SCA_MFGFEEALLOCSTD', 'T_SCA_MFGFEEALLOCSTD';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MFGFEEALLOCSTD') CREATE INDEX IDX_SCA_MFGFEEALLOCSTD ON T_SCA_MFGFEEALLOCSTD ( FORGID ,FCOSTCENTERID );

 EXEC P_ALTERPK 'PK_T_SCA_MFGFEEALLOCCO', 'T_SCA_MFGFEEALLOCCO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MFGFEEALLOCCO') CREATE INDEX IDX_SCA_MFGFEEALLOCCO ON T_SCA_MFGFEEALLOCCO ( FORGID ,FBENEFCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_SCA_MFGFEEALLOCCO_L', 'T_SCA_MFGFEEALLOCCO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MFGFEEALLOCCO_L') CREATE INDEX IDX_SCA_MFGFEEALLOCCO_L ON T_SCA_MFGFEEALLOCCO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCA_MFGFEEALLOCCOENTRY', 'T_SCA_MFGFEEALLOCCOENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MFGFEEALLOCCOENTRY') CREATE INDEX IDX_SCA_MFGFEEALLOCCOENTRY ON T_SCA_MFGFEEALLOCCOENTRY ( FID ,FCOSTOBJECTID );



/**End D:\PDM_UPGRADE\PDM1\SCA_constraint.sql **/
