﻿/**Begin D:\PDM_UPGRADE\PDM1\SCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MFGALLOCRECORD') 
 CREATE TABLE T_SCA_MFGALLOCRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FMFGALLOCBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSTDVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MFGALLOCRECORDENTRY') 
 CREATE TABLE T_SCA_MFGALLOCRECORDENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBENEFITCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FSTDVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMFGFEESTDBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MFGALLOCRECORDSUB') 
 CREATE TABLE T_SCA_MFGALLOCRECORDSUB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBENEFITCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FSTDVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMFGFEESTDBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MFGFEEALLOCCC') 
 CREATE TABLE T_SCA_MFGFEEALLOCCC (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDRIVERID BIGINT DEFAULT 0 NOT NULL,
FALLOCSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FALLOCTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FUSETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FALLOCTIME DATETIME,
FALLOCORID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERNUM NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FALLOCMOLD VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MFGFEEALLOCCC_L') 
 CREATE TABLE T_SCA_MFGFEEALLOCCC_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(20) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MFGFEEALLOCCCENTRY') 
 CREATE TABLE T_SCA_MFGFEEALLOCCCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FBENEFCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FALLOCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FALLOCVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL
);



 EXEC p_AlterColumn 'T_SCA_MFGFEEALLOCSTDSUBEN', 'FSUBENTRYID', 'NULL', 'NULL', '1001', 'NULL';


 EXEC p_AlterColumn 'T_SCA_MFGFEEALLOCSTDSUBEN', 'FCOSTCENTERID', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEEALLOCSTDENTRY' AND KSQL_COL_NAME IN ('FPRODUCTGROUPID')) 
 ALTER TABLE T_SCA_MFGFEEALLOCSTDENTRY ADD (FPRODUCTGROUPID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEEALLOCSTD' AND KSQL_COL_NAME IN ('FALLOCMOLD')) 
 ALTER TABLE T_SCA_MFGFEEALLOCSTD ADD (FALLOCMOLD VARCHAR(30) DEFAULT ' ' NOT NULL );

 EXEC p_AlterColumn 'T_SCA_MFGFEEALLOCSTD', 'FAPPNUM', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MFGFEEALLOCCO') 
 CREATE TABLE T_SCA_MFGFEEALLOCCO (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FBENEFCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDRIVERID BIGINT DEFAULT 0 NOT NULL,
FALLOCSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FALLOCTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FUSETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FALLOCTIME DATETIME,
FALLOCORID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERNUM NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FALLOCMOLD VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPRODUCTGROUPID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MFGFEEALLOCCO_L') 
 CREATE TABLE T_SCA_MFGFEEALLOCCO_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(20) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MFGFEEALLOCCOENTRY') 
 CREATE TABLE T_SCA_MFGFEEALLOCCOENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FALLOCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FALLOCVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\SCA_table.sql **/
