﻿/**Begin D:\PDM_UPGRADE\PDM1\SCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CHECKREPORTDETAIL') 
 CREATE TABLE T_SCA_CHECKREPORTDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FAUDITDATE DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FITEM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHECKITEMDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FTARGETDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_CKREPORTDETAILENTRY') 
 CREATE TABLE T_SCA_CKREPORTDETAILENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCHECKDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_DIFFALLOCCOUNTRPT') 
 CREATE TABLE T_SCA_DIFFALLOCCOUNTRPT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FTASKNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FEXECUTORID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_DIFFCALCRESULT') 
 CREATE TABLE T_SCA_DIFFCALCRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_DIFFCALCRESULTENTRY') 
 CREATE TABLE T_SCA_DIFFCALCRESULTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FMATVERSIONID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FSTARTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTORDDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTUNJOINDIFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDIFFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTSTDCOSTUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRORDDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRDIFFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRUNJOINDIFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRSTDCOSTUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTACTCOSTUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRACTCOSTUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPORDDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPDIFFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPUNJOINDIFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPSTDCOSTUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPACTCOSTUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDORDDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDDIFFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDUNJOINDIFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDSTDCOSTUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDACTCOSTUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALORDDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALUNJOINDIFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALDIFFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSTDCOSTUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALACTCOSTUPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_EXPENSEITEMSUBELEME') 
 CREATE TABLE T_SCA_EXPENSEITEMSUBELEME (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FBENEFCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FALLOCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_OVERHEADALLOTBENEFI') 
 CREATE TABLE T_SCA_OVERHEADALLOTBENEFI (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_OVERHEADALLOTCOST') 
 CREATE TABLE T_SCA_OVERHEADALLOTCOST (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FALLOCMOLD VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FNOPRODUCTION CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_OVERHEADALLOTCOST_L') 
 CREATE TABLE T_SCA_OVERHEADALLOTCOST_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(20) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_OVERHEADALLOTENTRY') 
 CREATE TABLE T_SCA_OVERHEADALLOTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOSTDRIVERID BIGINT DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCA_MFGFEECOLLC' AND KSQL_COL_NAME IN ('FRANGE')) 
 ALTER TABLE T_SCA_MFGFEECOLLC ADD (FRANGE VARCHAR(30) DEFAULT ' ' NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\SCA_table.sql **/
