﻿/**Begin D:\PDM_UPGRADE\PDM1\SCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_COMDIFFRESULTENTRY') 
 CREATE TABLE T_SCA_COMDIFFRESULTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCSEQ1 BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID1 BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO1 NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSUBELEMENTID1 BIGINT DEFAULT 0 NOT NULL,
FELEMENTID1 BIGINT DEFAULT 0 NOT NULL,
FMATERIALID1 BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID1 BIGINT DEFAULT 0 NOT NULL,
FMATVERSIONID1 BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID1 BIGINT DEFAULT 0 NOT NULL,
FSTARTQTY1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTINVOICEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTFEEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTOTHERDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTMADEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTMADEUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTORDDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTUNJOINDIFFAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDIFFQTY1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTSTDCOSTUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTACTCOSTUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRQTY1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRINVOICEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRFEEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURROTHERDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRMADEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRMADEUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRORDDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRDIFFQTY1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRUNJOINDIFFAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRSTDCOSTUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRACTCOSTUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_COMDIFFRESULTENTRY_V') 
 CREATE TABLE T_SCA_COMDIFFRESULTENTRY_V (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOMPQTY1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPINVOICEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPFEEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPOTHERDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPMADEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPMADEUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPORDDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPDIFFQTY1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPUNJOINDIFFAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPSTDCOSTUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPACTCOSTUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDQTY1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDINVOICEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDFEEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDOTHERDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDORDDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDMADEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDMADEUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDDIFFQTY1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDUNJOINDIFFAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDSTDCOSTUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDACTCOSTUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALQTY1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINVOICEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALFEEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOTHERDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALMADEDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALMADEUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALORDDIFF1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALUNJOINDIFFAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALDIFFQTY1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSTDCOSTUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALACTCOSTUPAMT1 DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\SCA_table.sql **/
