﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_SCA_REDCHECKDETAILENTRY', 'T_SCA_REDCHECKDETAILENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SCA_REDCHECKDETAILENTRY') CREATE INDEX IDX_T_SCA_REDCHECKDETAILENTRY ON T_SCA_REDCHECKDETAILENTRY ( FID ,FENTRYID );


 EXEC P_ALTERPK 'PK_T_SCA_REDUCTRPTENTRY', 'T_SCA_REDUCTRPTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SCA_REDUCTRPTENTRY') CREATE INDEX IDX_T_SCA_REDUCTRPTENTRY ON T_SCA_REDUCTRPTENTRY ( FID ,FENTRYID );


 EXEC P_ALTERPK 'PK_T_SCA_HALFPRDSTRUCTURE_L', 'T_SCA_HALFPRDSTRUCTURE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SCA_HPSETYL_AUTOFID') CREATE INDEX T_SCA_HPSETYL_AUTOFID ON T_SCA_HALFPRDSTRUCTURE_L ( FID );


 EXEC P_ALTERPK 'PK_T_SCA_MATREDUCTSET_L', 'T_SCA_MATREDUCTSET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MRSL_AUTOID') CREATE INDEX IDX_SCA_MRSL_AUTOID ON T_SCA_MATREDUCTSET_L ( FID );


 EXEC P_ALTERPK 'PK_T_SCA_REDUCTCHECKDETAIL', 'T_SCA_REDUCTCHECKDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SCA_REDUCTCHECKDETAIL') CREATE INDEX IDX_T_SCA_REDUCTCHECKDETAIL ON T_SCA_REDUCTCHECKDETAIL ( FORGID ,FCOSTACCOUNTID ,FPERIODID );


 EXEC P_ALTERPK 'PK_T_SCA_REDUCTRPT', 'T_SCA_REDUCTRPT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SCA_REDUCTRPT') CREATE INDEX IDX_T_SCA_REDUCTRPT ON T_SCA_REDUCTRPT ( FORGID ,FCOSTACCOUNTID ,FPERIODID );


 EXEC P_ALTERPK 'PK_T_SCA_HALFPRDSTRUCTENTRY', 'T_SCA_HALFPRDSTRUCTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SCA_HPSETY_ELEMENT') CREATE INDEX T_SCA_HPSETY_ELEMENT ON T_SCA_HALFPRDSTRUCTENTRY ( FELEMENT );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SCA_HPSETY_SUBELEMENT') CREATE INDEX T_SCA_HPSETY_SUBELEMENT ON T_SCA_HALFPRDSTRUCTENTRY ( FSUBELEMENTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SCA_HPSETY_AUTOFID') CREATE INDEX T_SCA_HPSETY_AUTOFID ON T_SCA_HALFPRDSTRUCTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_SCA_MATREDUCTSETENTRY', 'T_SCA_MATREDUCTSETENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MRSETY_AUTOID') CREATE INDEX IDX_SCA_MRSETY_AUTOID ON T_SCA_MATREDUCTSETENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_SCA_HALFPRDSTRUCTURE', 'T_SCA_HALFPRDSTRUCTURE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SCA_HPSTR_ORGCOSTACCT') CREATE INDEX T_SCA_HPSTR_ORGCOSTACCT ON T_SCA_HALFPRDSTRUCTURE ( FORGID ,FCOSTACCOUNTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SCA_HPSTR_PRODUCT') CREATE INDEX T_SCA_HPSTR_PRODUCT ON T_SCA_HALFPRDSTRUCTURE ( FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SCA_HPSTR_BILLNO') CREATE INDEX T_SCA_HPSTR_BILLNO ON T_SCA_HALFPRDSTRUCTURE ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_SCA_MATREDUCTSET', 'T_SCA_MATREDUCTSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MRS_ORGCOSTACCT') CREATE INDEX IDX_SCA_MRS_ORGCOSTACCT ON T_SCA_MATREDUCTSET ( FORGID ,FCOSTACCOUNT );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCA_MRS_NUMBER') CREATE INDEX IDX_SCA_MRS_NUMBER ON T_SCA_MATREDUCTSET ( FNUMBER );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_constraint.sql **/
