﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_REDCHECKDETAILENTRY') 
 CREATE TABLE T_SCA_REDCHECKDETAILENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FENTRYPRODORGID BIGINT DEFAULT 0 NOT NULL,
FCHECKDETAIL NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_REDUCTRPTENTRY') 
 CREATE TABLE T_SCA_REDUCTRPTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FITEM NVARCHAR(60) DEFAULT ' ' NOT NULL,
FRESULT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCNSMTIME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCHECKDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAILCONFIGID BIGINT DEFAULT 0 NOT NULL,
FSUBNEXTENTITY NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSUBPARAM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBSTARTTIME DATETIME,
FSUBPARAM_TAG NCLOB
);


 EXEC p_AlterColumn 'T_SCA_MFGFEECOLLC_SRCSYS', 'FBASEDATAID', 'NVARCHAR(60)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_HALFPRDSTRUCTURE_L') 
 CREATE TABLE T_SCA_HALFPRDSTRUCTURE_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(30) DEFAULT 'zh_CN' NOT NULL,
FMEMO NVARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MATREDUCTSET_L') 
 CREATE TABLE T_SCA_MATREDUCTSET_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(30) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ',
FREMARK NVARCHAR(255)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_REDUCTCHECKDETAIL') 
 CREATE TABLE T_SCA_REDUCTCHECKDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FPRODORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCALCDATE DATETIME,
FCHECKITEMDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_REDUCTRPT') 
 CREATE TABLE T_SCA_REDUCTRPT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRDORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FTASKNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FUSETIME BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROGRESS BIGINT DEFAULT 0 NOT NULL,
FREPORTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FNEXTPAGEPARA NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FNEXTPAGEPARA_TAG NCLOB,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FEXECUTORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_HALFPRDSTRUCTENTRY') 
 CREATE TABLE T_SCA_HALFPRDSTRUCTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FELEMENT BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSUBMATERIALVERSIONID BIGINT DEFAULT 0 NOT NULL,
FSUBMATERIALAUXPROPID BIGINT DEFAULT 0 NOT NULL,
FVRTDIONNO VARCHAR(150) DEFAULT ' ',
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MATREDUCTSETENTRY') 
 CREATE TABLE T_SCA_MATREDUCTSETENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FMATERIALSORT BIGINT DEFAULT 0 NOT NULL,
FREDUCTPARASET VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_HALFPRDSTRUCTURE') 
 CREATE TABLE T_SCA_HALFPRDSTRUCTURE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRDORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPROPID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERSIONNO VARCHAR(150),
FBILLSTATUS VARCHAR(30) DEFAULT 'A' NOT NULL,
FISIMPORT VARCHAR(2) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_MATREDUCTSET') 
 CREATE TABLE T_SCA_MATREDUCTSET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNT BIGINT DEFAULT 0 NOT NULL,
FPRDORG BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT '0' NOT NULL,
FENABLE NVARCHAR(30) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCA_table.sql **/
